'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.common = common;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function common(sourceMap, nodeModulesPath) {
    var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
        _ref$aliasFilePath = _ref.aliasFilePath,
        aliasFilePath = _ref$aliasFilePath === undefined ? undefined : _ref$aliasFilePath;

    var alias;
    if (aliasFilePath) {
        try {
            alias = require(aliasFilePath).default;
            if (Object.keys(alias).length > 0) {
                console.log('===== RUNNING WITH ALIAS: =====');
                console.log(alias);
                console.log('=================================');
            }
        } catch (e) {
            alias = {};
        }
    }

    return {
        resolve: {
            extensions: ['.js', '.json', '.jsx'],
            alias: alias
        },
        resolveLoader: {
            modules: [nodeModulesPath, _path2.default.join(__dirname, '../../node_modules')]
        },
        devtool: sourceMap ? 'source-map' : '',
        devServer: {
            contentBase: './'
        }
    };
}