'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.gzip = gzip;

var _compressionWebpackPlugin = require('compression-webpack-plugin');

var _compressionWebpackPlugin2 = _interopRequireDefault(_compressionWebpackPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function gzip() {
    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        test = _ref.test,
        _ref$threshold = _ref.threshold,
        threshold = _ref$threshold === undefined ? 0 : _ref$threshold,
        _ref$minRatio = _ref.minRatio,
        minRatio = _ref$minRatio === undefined ? 0.8 : _ref$minRatio,
        _ref$deleteOriginalAs = _ref.deleteOriginalAssets,
        deleteOriginalAssets = _ref$deleteOriginalAs === undefined ? false : _ref$deleteOriginalAs;

    return {
        plugins: [new _compressionWebpackPlugin2.default({
            asset: '[path]',
            algorithm: 'gzip',
            test: test,
            threshold: threshold,
            minRatio: minRatio,
            deleteOriginalAssets: deleteOriginalAssets
        })]
    };
}